Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 01-07-2016 18:21:51

didon
Membre
Inscription : 30-05-2016

iceweasel firefox ESR

Bonjour,
je viens de mettre à jour les paquets (Debian 8.04) et il m'a remplacé iceweasel par iceweasel firefox ESR.
Vous en pensez quoi ?

Hors ligne

#2 01-07-2016 19:04:23

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Jessie
Noyau : Linux 3.16-amd64
(G)UI : XFCE
Inscription : 16-03-2012
Site Web

Re : iceweasel firefox ESR

Pas de soucis, c'est la même chose (enfin presque).
https://wiki.debian.org/fr/Iceweasel

Excepté le nom et le logo, tu retrouveras la même chose

Hors ligne

#3 02-07-2016 08:23:28

didon
Membre
Inscription : 30-05-2016

Re : iceweasel firefox ESR

ok pour ma part je préfère firefox, ll y a un paquet à associer pour limiter tout ce qui est pub et compagnie ?
J'en avais installé un sous iceweasel (Adblock Plus) mais il n'est peut-être plus valable avec firefox.

Dernière modification par didon (02-07-2016 08:25:25)

Hors ligne

#4 02-07-2016 08:32:22

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Jessie
Noyau : Linux 3.16-amd64
(G)UI : XFCE
Inscription : 16-03-2012
Site Web

Hors ligne

#5 02-07-2016 17:33:07

Mercredi
Membre
Distrib. : Testing
Noyau : 4.8
(G)UI : Gnome
Inscription : 25-09-2015

Re : iceweasel firefox ESR

Sinon en passant directement par le menu de Firefox / modules, tu as le catalogue de toutes les extensions possibles.
Adblock Plus à l'air d'être toujours disponible.
Ublock Origin est pas mal aussi pour bloquer les pubs et autres cochonneries indésirables.

De toutes les forces de l'univers, la plus dure à surmonter, c'est la force de l'habitude. T.Pratchett - Trois Soeurcières.

Hors ligne

#6 02-07-2016 19:25:08

nono47
Membre
Lieu : dans l'engrenage ...
Distrib. : sid
Noyau : Linux 4.8.0-1-amd64
(G)UI : gnome-shell
Inscription : 09-05-2012

Re : iceweasel firefox ESR

Salut,

Il y a les extensions empaquetées dans les dépôts qui commencent par xul-ext-*
Vous pouvez voir leur description dans synaptic .

ublock-origin y est sous le nom de xul-ext-ublock-origin
ha tiens que sous stretch ou sid !

xul-ext-adblock-plus est dans toutes les branches de debian

C'est peut être bien de choisir des extensions qui ont été acceptées dans les dépôts debian .
Qu'en pensez vous ?

smile

édition : ou en ligne de commande avec le nom du paquet, histoire de montrer une commande et c'est plus verbeux
( mais synaptic c'est bien pour ne pas se compliquer la vie ) :

apt-cache show xul-ext-adblock-plus


Package: xul-ext-adblock-plus
Source: adblock-plus
Version: 2.6.6+dfsg-1
Installed-Size: 2603
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Architecture: all
Provides: adblock-plus, iceape-adblock-plus, icedove-adblock-plus, iceweasel-adblock-plus
Depends: iceweasel (>= 22.0) | icedove (>= 22.0) | iceape (>= 2.19)
Enhances: iceape, icedove, iceweasel
Breaks: iceape (>> 2.34+), iceape (<< 2.19), icedove (<< 22.0), iceweasel (<< 22.0)
Description-en: advertisement blocking extension for web browsers
 Adblock Plus is a content-filtering extension for Iceweasel, Firefox,
 SeaMonkey, and several other applications; it allows users to prevent webpage
 elements, such as advertisements, from being downloaded and displayed.
 .
 On the first run, Adblock Plus will ask you if you want to subscribe to
 a filter list, which is automatically updated and blocks a lot of common
 advertisements. Additional filters can be added at will, and it's also
 possible to use wildcards in order to block e.g. all images or JavaScript
 files from specific servers or directories.
Description-md5: 0e40c8d2f6a73267278515cb55473e90
Homepage: http://adblockplus.org/
Tag: implemented-in::ecmascript, interface::x11, role::plugin,
 scope::application, security::privacy, suite::mozilla, use::browsing,
 use::filtering, works-with-format::html, x11::application
Section: web
Priority: optional
Filename: pool/main/a/adblock-plus/xul-ext-adblock-plus_2.6.6+dfsg-1_all.deb
Size: 530400
MD5sum: 46617a1c714ec18bc9e57032ac5b64ba
SHA1: b2fac366db624c2f0c0d6e1c373e569aeff33937
SHA256: 53616d8589bcddf1ef6ba77b95f04a5cc377ab70d7ee5da618a96f47bba6e4ca
 

Dernière modification par nono47 (02-07-2016 19:40:20)

Hors ligne

#7 03-07-2016 17:04:14

Mercredi
Membre
Distrib. : Testing
Noyau : 4.8
(G)UI : Gnome
Inscription : 25-09-2015

Re : iceweasel firefox ESR

nono47 a écrit :

C'est peut être bien de choisir des extensions qui ont été acceptées dans les dépôts debian .
Qu'en pensez vous ?


Ah mais tout à fait smile je n'avais jamais fait attention que certaines extensions étaient dispo dans les paquets.
Merci Nono cool
Et d'ailleurs ça aurait du faire tilt en lisant le sujet car Didon parle d'un paquet adblock ... des fois je lis trop vite.

Bon si Ublock est dispo dans les paquets de stretch, il devrait l'être dans Debian 9. Je n'ai plus qu'à l'attendre.

@Didon, sous réserve que je ne me trompe pas (pas encore très barbue moi) le paquet que tu as installé pour Iceweasel doit probablement toujours être installé et compatible avec Firefox.

Dernière modification par Mercredi (03-07-2016 17:04:27)


De toutes les forces de l'univers, la plus dure à surmonter, c'est la force de l'habitude. T.Pratchett - Trois Soeurcières.

Hors ligne

#8 06-07-2016 15:57:43

didon
Membre
Inscription : 30-05-2016

Re : iceweasel firefox ESR

Le paquet est bien installé, adblock mais je ne le vois pas apparaître le logo dans firefox ou il est bien caché...

Hors ligne

#9 06-07-2016 17:18:25

Frosch
Adhérent(e)
Lieu : Sion (CH)
Distrib. : Chakra
Noyau : Linux 4.5.7
(G)UI : Plasma 5.8
Inscription : 09-12-2015
Site Web

Re : iceweasel firefox ESR

Je ne vois pas l'intérêt d'empaqueter en .deb des extensions firefox, si ce n'est pour les installer d'office à chaque installation neuve...
about:addons et chacun installe tout ce qu'il veut !

Schokolade ist keine Lüge.

Hors ligne

#10 06-07-2016 21:34:21

Philou92
Adhérent(e)
Lieu : Hauts de Seine
Distrib. : Debian Jessie 8.6
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome 3.14
Inscription : 29-04-2015

Re : iceweasel firefox ESR

didon a écrit :

Le paquet est bien installé, adblock mais je ne le vois pas apparaître le logo dans firefox ou il est bien caché...




Même souci, je n'arrive pas à afficher le logo dans la barre d'état. J'ai beau coché l'option dans les préférences du module complémentaire, il ne l'enregistre pas.  sad

Hors ligne

#11 06-07-2016 21:44:03

Frosch
Adhérent(e)
Lieu : Sion (CH)
Distrib. : Chakra
Noyau : Linux 4.5.7
(G)UI : Plasma 5.8
Inscription : 09-12-2015
Site Web

Re : iceweasel firefox ESR

Et si vous désinstallez le paquet et que vous installez le module complémentaire normalement, ça marche ou pas ?

Schokolade ist keine Lüge.

Hors ligne

#12 27-08-2016 13:09:56

pat499
Membre
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome 3
Inscription : 26-08-2016

Re : iceweasel firefox ESR

Bonjour,

Le paquet xul-ext-adblock-plus n'est plus compatible avec la nouvelle version Firefox ESR de Jessie. Le problème a été remonté au niveau de Debian https://bugs.debian.org/cgi-bin/bugrepo … bug=829267

En attendant le correctif, il suffit de désinstaller le paquet xul-ext-adblock-plus avec le gestionnaire de paquet. Puis, d'installer la dernière version d'Adblock Plus depuis le gestionnaire d'extension de Firefox (lors de la recherche, il n’apparaît pas tout de suite, il faut cliquer en bas sur plus de résultats).

Hors ligne

#13 27-08-2016 14:29:56

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Jessie
Noyau : Linux 3.16-amd64
(G)UI : XFCE
Inscription : 16-03-2012
Site Web

Re : iceweasel firefox ESR

D'après mon expérience, il n'est pas très intéressant d'utiliser les extensions présentes dans les dépôts Debian (xul-ext).

Il existe peut être des cas où c'est préférable mais globalement, il y a beaucoup trop de retard et ça peut causer des pb comme j'ai pu le voir avec https-everywhere qui causait de gros pb.

Hors ligne

Pied de page des forums